ssu-esl-alistat(1)

NAME

ssu-esl-alistat - summarize a multiple sequence alignment file

SYNOPSIS
ssu-esl-alistat [options] msafile

DESCRIPTION
ssu-esl-alistat summarizes the contents of the multiple sequence alignment(s) in msafile, such as the alignment name, format, alignment length (number of aligned columns), number of sequences, average pairwise % identity, and mean, smallest, and largest raw (unaligned) lengths of the sequences. If msafile is - (a single dash), multiple alignment input is read from stdin. The alignments can be of protein or DNA/RNA sequences. All alignments in the same msafile must be either protein or DNA/RNA. The alphabet will be autodetected unless one of the options --amino, --dna, or --rna are given. These options may be useful in automated pipelines to make ssu-esl-alistat more robust; alphabet autodetection is not infallible. The --list, --icinfo, --rinfo, --pcinfo, --psinfo, and --iinfo, options allow dumping various statistics on the alignment to optional output files as described for each of those options below. The --small option allows summarizing alignments without storing them in memory and can be useful for large alignment files with sizes that approach or exceed the amount of available RAM. When --small is used, ssu-esl-alistat will print fewer statistics on the alignment, omitting data on the smallest and largest sequences and the average identity of the alignment. --small only works on Pfam formatted alignments (a special type of non-interleaved Stockholm alignment in which each sequence occurs on a single line) and --informat pfam must be given with --small. Further, when --small is used, the alphabet must be specified with --amino, --dna, or --rna.

OPTIONS

-h  Print brief help; includes version number and summary of all options, including expert options.

-1  Use a tabular output format with one line of statistics per alignment in msafile. This is most useful when msafile contains many different alignments (such as a Pfam database in Stockholm format).

EXPERT OPTIONS

--informat <s>
    Specify that the input alignment is in <s> format. At present, valid formats are limited to Stockholm, Pfam, and AFA (aligned FASTA).

--amino
    Assert that the msafile contains protein sequences.

--dna
    Assert that the msafile contains DNA sequences.

--rna
    Assert that the msafile contains RNA sequences.

--small
    Operate in small memory mode for Pfam formatted alignments. --informat pfam and one of --amino, --dna, or --rna must be given as well.

--list <f>
    List the names of all sequences in all alignments in msafile to file <f>. Each sequence name is written on its own line.

--icinfo <f>
    Dump the information content per position in tabular format to file <f>. Lines prefixed with "#" are comment lines, which explain the meanings of each of the tab-delimited fields.

--rinfo <f>
    Dump information on the frequency of gaps versus nongap residues per position in tabular format to file <f>. Lines prefixed with "#" are comment lines, which explain the meanings of each of the tab-delimited fields.

--pcinfo <f>
    Dump per column information on posterior probabilities in tabular format to file <f>. Lines prefixed with "#" are comment lines, which explain the meanings of each of the tab-delimited fields.

--psinfo <f>
    Dump per sequence information on posterior probabilities in tabular format to file <f>. Lines prefixed with "#" are comment lines, which explain the meanings of each of the tab-delimited fields.

--iinfo <f>
    Dump information on inserted residues in tabular format to file <f>. Insert columns of the alignment are those that are gaps in the reference (#=GC RF) annotation. This option only works if the input file is in Stockholm format with reference annotation. Lines prefixed with "#" are comment lines, which explain the meanings of each of the tab-delimited fields.

AUTHOR
Easel and its documentation are Copyright (C) 2016 HHMI Janelia Farm Research Campus. Freely distributed under the BSD open source license.. See COPYING in the source code distribution for more details. The Easel home page is: http://bioeasel.org/